Categories:
  - Navigation
License: Apache-2.0
WebSite: http://ninelima.org/efis/
SourceCode: https://gitlab.com/ninelima/kwikEFIS
IssueTracker: https://gitlab.com/ninelima/kwikEFIS/issues
Changelog: https://gitlab.com/ninelima/kwikEFIS/blob/HEAD/CHANGELOG.md
Bitcoin: 1KKWRF25NwVgNdankr1vBphtkLbX766Ee1

AutoName: Kwik EFIS
Description: |-
    Kwik Primary Flight Instrument is a EFIS/Glass Cockpit application. It provides
    an attitude indicator, performance instruments and navigation functionality.
    All Kwik applications can optionally integrate with the Stratux ADS-B/AHRS
    to provide real-time traffic overlay.

    '''Synthetic Vision'''

    Synthetic vision is built from the USGS 3 arc second Digital Elevation Model
    data. If enabled, it also allows for some terrain collision detection. The
    required terrain data packages are available via F-Droid, see:

    * [https://f-droid.org/en/packages/player.efis.data.usa.can/ North America, Canada]
    * [https://f-droid.org/en/packages/player.efis.data.eur.rus/ Europe, Russia]
    * [https://f-droid.org/en/packages/player.efis.data.sah.jap/ Sahara / North Africa, India / Indonesia, Japan]
    * [https://f-droid.org/en/packages/player.efis.data.eur.rus/ Southern Africa, Australia / New Zealand]
    * [https://f-droid.org/en/packages/player.efis.data.pan.arg/ South America]

    '''Flight Director'''

    Kwik PRIM has a fully functional flight director built in. It uses the standard
    V-Bar symbology common to modern flight directors. The target  waypoint and
    altitude is set on-screen by means of the spinner controls on the right top and
    bottom of the screen.

    '''ADS-B/AHRS'''

    In addition to the internal sensors, a low cost Stratux ADS-B/AHRS can be
    selected as the input source. See [http://www.stratux.me/ Stratux ADS-B] for
    more information.

    '''Simulator'''

    There is a simulation mode available in the application. The Flight director is
    used to select a waypoint and altitude and the simulator will generate the GPS
    movements to navigate to the selected waypoint. The speed is set at the typical
    cruise for the currently selected aircraft.

    '''Companion Applications'''

    [https://f-droid.org/en/packages/player.efis.mfd// Kwik DMAP] is a stand-alone digital
    moving map application. It provides situational awareness and navigation
    functionality.

    [https://f-droid.org/en/packages/player.efis.cfd/ Kwik COMP] is a composite flight display
    application combining the moving map and the primary flight display. It
    provides both displays on a single device.

    [http://ninelima.org/efis/installation.html Help]

RepoType: git
Repo: https://gitlab.com/ninelima/kwikEFIS.git

Builds:
  - versionName: 2.2.0
    versionCode: 3
    commit: 42b6ea0131afd1cb2fa1ea4de2e1eb70258bb602
    subdir: app
    gradle:
      - yes

  - versionName: '2.3'
    versionCode: 4
    commit: c21215e80c40fa191bc575b1e7615f10279763a0
    subdir: app
    gradle:
      - yes

  - versionName: '2.3'
    versionCode: 6
    commit: e9eac9018e260ecc33737bc7c23f1c44e22e3e3c
    subdir: app
    gradle:
      - yes

  - versionName: '2.4'
    versionCode: 7
    commit: 9c984013ed2d808ab61326264286ec69d57b410d
    subdir: app
    gradle:
      - yes

  - versionName: '3.0'
    versionCode: 9
    commit: 5d02ed4b81ebe8b52c0c1ea9b5de03fd6dadbf54
    subdir: app
    gradle:
      - yes

  - versionName: '3.2'
    versionCode: 11
    commit: dc193e2f873c66ef0a041db703519c6aa35745a1
    subdir: app
    gradle:
      - yes

  - versionName: '3.3'
    versionCode: 12
    commit: VER_3.3
    subdir: app
    gradle:
      - yes

  - versionName: '3.4'
    versionCode: 13
    commit: VER_3.4
    subdir: app
    gradle:
      - yes

  - versionName: '3.5'
    versionCode: 14
    commit: VER_3.5
    subdir: pfd
    gradle:
      - yes

  - versionName: '3.6'
    versionCode: 15
    commit: VER_3.6
    subdir: pfd
    gradle:
      - yes

  - versionName: '3.7'
    versionCode: 16
    commit: REL_3.8
    subdir: pfd
    gradle:
      - yes

  - versionName: '3.8'
    versionCode: 17
    commit: REL_3.10
    subdir: pfd
    gradle:
      - yes

  - versionName: '3.9'
    versionCode: 18
    commit: REL_3.11
    subdir: pfd
    gradle:
      - yes

  - versionName: '3.10'
    versionCode: 19
    commit: EFIS_3.10
    subdir: pfd
    gradle:
      - yes

  - versionName: '3.11'
    versionCode: 20
    commit: EFIS_3.11
    subdir: pfd
    gradle:
      - yes

  - versionName: '3.12'
    versionCode: 21
    commit: EFIS_3.12
    subdir: pfd
    gradle:
      - yes

  - versionName: '4.0'
    versionCode: 22
    commit: EFIS_4.0
    subdir: pfd
    gradle:
      - yes

  - versionName: '4.1'
    versionCode: 23
    commit: EFIS_4.1
    subdir: pfd
    gradle:
      - yes

  - versionName: '4.2'
    versionCode: 24
    commit: EFIS_4.2
    subdir: pfd
    gradle:
      - yes

  - versionName: '4.3'
    versionCode: 26
    commit: EFIS_4.3
    subdir: pfd
    gradle:
      - yes

  - versionName: '4.4'
    versionCode: 27
    commit: EFIS_4.4
    subdir: pfd
    gradle:
      - yes

  - versionName: '4.5'
    versionCode: 28
    commit: EFIS_4.5
    subdir: pfd
    gradle:
      - yes

  - versionName: '4.6'
    versionCode: 29
    commit: EFIS_4.6
    subdir: pfd
    gradle:
      - yes

  - versionName: '4.7'
    versionCode: 32
    commit: EFIS_4.7
    subdir: pfd
    gradle:
      - yes

  - versionName: '4.8'
    versionCode: 33
    commit: EFIS_4.8
    subdir: pfd
    gradle:
      - yes

  - versionName: '5.0'
    versionCode: 34
    commit: EFIS_5.0
    subdir: pfd
    gradle:
      - yes

  - versionName: '5.1'
    versionCode: 35
    commit: PRIM_5.1
    subdir: pfd
    gradle:
      - yes

AutoUpdateMode: Version PRIM_%v
UpdateCheckMode: Tags ^PRIM
CurrentVersion: '5.1'
CurrentVersionCode: 35
